<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::dcfDelegate::test::DCFDelegateTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.7.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate.html">dcfDelegate</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1dcf_delegate_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html">DCFDelegateTest</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::dcfDelegate::test::DCFDelegateTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::dcfDelegate::test::DCFDelegateTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test_inherit__map" id="alexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test_inherit__map">
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::dcfDelegate::test::DCFDelegateTest:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test_coll__map" id="alexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test_coll__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html" title="alexaClientSDK::avsCommon\l::utils::configuration\l::ConfigurationNode" alt="" coords="77,5,275,61"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7314a843c460bbbf78d37b6f1936e7f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a7314a843c460bbbf78d37b6f1936e7f7">DCFDelegateTest</a> ()</td></tr>
<tr class="separator:a7314a843c460bbbf78d37b6f1936e7f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a328b5bc83ba363b9d156a43f63d752e2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a328b5bc83ba363b9d156a43f63d752e2">~DCFDelegateTest</a> ()</td></tr>
<tr class="separator:a328b5bc83ba363b9d156a43f63d752e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a832e2ea4d9b433595251a635f4b5de2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a832e2ea4d9b433595251a635f4b5de2c">SetUp</a> () override</td></tr>
<tr class="separator:a832e2ea4d9b433595251a635f4b5de2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a892290746ad3bf779e97b472a46f9675"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a892290746ad3bf779e97b472a46f9675">TearDown</a> () override</td></tr>
<tr class="separator:a892290746ad3bf779e97b472a46f9675"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac84c2f7da197e3aa818747c4984e1706"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#ac84c2f7da197e3aa818747c4984e1706">getCapabilityKey</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:ac84c2f7da197e3aa818747c4984e1706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cd3775e1ddb0c3652ee71da4ddbd055"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a2cd3775e1ddb0c3652ee71da4ddbd055">getCapabilityKey</a> (const std::string &amp;interfaceType, const std::string &amp;interfaceName)</td></tr>
<tr class="separator:a2cd3775e1ddb0c3652ee71da4ddbd055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b7e8586c353caa4f294bdb688ef7dc4"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a9b7e8586c353caa4f294bdb688ef7dc4">getDcfUrl</a> (const std::string &amp;deviceId)</td></tr>
<tr class="separator:a9b7e8586c353caa4f294bdb688ef7dc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19b11b4d6ce73667410430d44295ec9a"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a19b11b4d6ce73667410430d44295ec9a">getPublishedEnvelopeVersion</a> (const std::string &amp;publishedMsgStr)</td></tr>
<tr class="separator:a19b11b4d6ce73667410430d44295ec9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cac15881c218cfc9a01e93817bc9a97"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; std::string, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a7cac15881c218cfc9a01e93817bc9a97">getPublishedConfigs</a> (const std::string &amp;publishedMsgStr)</td></tr>
<tr class="separator:a7cac15881c218cfc9a01e93817bc9a97"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a85f8fa4da863397111969c952bcf7e8e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html">TestAuthDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a85f8fa4da863397111969c952bcf7e8e">m_authDelegate</a></td></tr>
<tr class="memdesc:a85f8fa4da863397111969c952bcf7e8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Auth delegate instance.  <a href="#a85f8fa4da863397111969c952bcf7e8e">More...</a><br /></td></tr>
<tr class="separator:a85f8fa4da863397111969c952bcf7e8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e5c6fe894dd5a757c173cae95d2e6cb"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_misc_storage.html">TestMiscStorage</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a6e5c6fe894dd5a757c173cae95d2e6cb">m_miscStorage</a></td></tr>
<tr class="memdesc:a6e5c6fe894dd5a757c173cae95d2e6cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Misc storage instance.  <a href="#a6e5c6fe894dd5a757c173cae95d2e6cb">More...</a><br /></td></tr>
<tr class="separator:a6e5c6fe894dd5a757c173cae95d2e6cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab24667f7ac7e477750409f5682bf371d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_http_put.html">TestHttpPut</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#ab24667f7ac7e477750409f5682bf371d">m_httpPut</a></td></tr>
<tr class="memdesc:ab24667f7ac7e477750409f5682bf371d"><td class="mdescLeft">&#160;</td><td class="mdescRight">HTTP put handler.  <a href="#ab24667f7ac7e477750409f5682bf371d">More...</a><br /></td></tr>
<tr class="separator:ab24667f7ac7e477750409f5682bf371d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94fdc13e612b7f4fda4c0cb1dfe3438d"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a94fdc13e612b7f4fda4c0cb1dfe3438d">m_deviceInfo</a></td></tr>
<tr class="memdesc:a94fdc13e612b7f4fda4c0cb1dfe3438d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device Info instance.  <a href="#a94fdc13e612b7f4fda4c0cb1dfe3438d">More...</a><br /></td></tr>
<tr class="separator:a94fdc13e612b7f4fda4c0cb1dfe3438d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a2b19a3ad17a65861f366c6c2c8a1f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">ConfigurationNode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a64a2b19a3ad17a65861f366c6c2c8a1f">m_configRoot</a></td></tr>
<tr class="memdesc:a64a2b19a3ad17a65861f366c6c2c8a1f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Config instance.  <a href="#a64a2b19a3ad17a65861f366c6c2c8a1f">More...</a><br /></td></tr>
<tr class="separator:a64a2b19a3ad17a65861f366c6c2c8a1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213b3bffb5960342485c01937504a162"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1test_1_1_d_c_f_delegate_test.html#a213b3bffb5960342485c01937504a162">m_dcfDelegate</a></td></tr>
<tr class="memdesc:a213b3bffb5960342485c01937504a162"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DCF delegate instance.  <a href="#a213b3bffb5960342485c01937504a162">More...</a><br /></td></tr>
<tr class="separator:a213b3bffb5960342485c01937504a162"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">Test harness for <code><a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a></code> class. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7314a843c460bbbf78d37b6f1936e7f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7314a843c460bbbf78d37b6f1936e7f7">&#9670;&nbsp;</a></span>DCFDelegateTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::dcfDelegate::test::DCFDelegateTest::DCFDelegateTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor. </p>

</div>
</div>
<a id="a328b5bc83ba363b9d156a43f63d752e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a328b5bc83ba363b9d156a43f63d752e2">&#9670;&nbsp;</a></span>~DCFDelegateTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::dcfDelegate::test::DCFDelegateTest::~DCFDelegateTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac84c2f7da197e3aa818747c4984e1706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac84c2f7da197e3aa818747c4984e1706">&#9670;&nbsp;</a></span>getCapabilityKey() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::test::DCFDelegateTest::getCapabilityKey </td>
          <td>(</td>
          <td class="paramtype">const std::unordered_map&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>capabilityMap</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns a capability's unique key.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">capabilityMap</td><td>The capability map. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A key that uniquely represents a capability. </dd></dl>

</div>
</div>
<a id="a2cd3775e1ddb0c3652ee71da4ddbd055"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2cd3775e1ddb0c3652ee71da4ddbd055">&#9670;&nbsp;</a></span>getCapabilityKey() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::test::DCFDelegateTest::getCapabilityKey </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>interfaceName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns a capability's unique key.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">interfaceType</td><td>The interface type of the capability. </td></tr>
    <tr><td class="paramname">interfaceName</td><td>The interface name of the capability. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A key that uniquely represents a capability. </dd></dl>

</div>
</div>
<a id="a9b7e8586c353caa4f294bdb688ef7dc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b7e8586c353caa4f294bdb688ef7dc4">&#9670;&nbsp;</a></span>getDcfUrl()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::test::DCFDelegateTest::getDcfUrl </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>deviceId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns the URL to which the DCF publish message is sent.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">deviceId</td><td>The device Id. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The URL to which the DCF publish message is sent. </dd></dl>

</div>
</div>
<a id="a7cac15881c218cfc9a01e93817bc9a97"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cac15881c218cfc9a01e93817bc9a97">&#9670;&nbsp;</a></span>getPublishedConfigs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt; std::string, std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_configuration.html">CapabilityConfiguration</a> &gt; &gt; alexaClientSDK::dcfDelegate::test::DCFDelegateTest::getPublishedConfigs </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>publishedMsgStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns the published capabilities given the published DCF message.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">publishedMsgStr</td><td>The published message. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A map of the capability key and the capability configuration. </dd></dl>

</div>
</div>
<a id="a19b11b4d6ce73667410430d44295ec9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19b11b4d6ce73667410430d44295ec9a">&#9670;&nbsp;</a></span>getPublishedEnvelopeVersion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::dcfDelegate::test::DCFDelegateTest::getPublishedEnvelopeVersion </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>publishedMsgStr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Returns the published envelope version given the published DCF message.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">publishedMsgStr</td><td>The published message. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The published envelope version. </dd></dl>

</div>
</div>
<a id="a832e2ea4d9b433595251a635f4b5de2c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a832e2ea4d9b433595251a635f4b5de2c">&#9670;&nbsp;</a></span>SetUp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::dcfDelegate::test::DCFDelegateTest::SetUp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Set up the test harness for running a test. </p>

</div>
</div>
<a id="a892290746ad3bf779e97b472a46f9675"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a892290746ad3bf779e97b472a46f9675">&#9670;&nbsp;</a></span>TearDown()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::dcfDelegate::test::DCFDelegateTest::TearDown </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Tear down the test harness for running a test. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a85f8fa4da863397111969c952bcf7e8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85f8fa4da863397111969c952bcf7e8e">&#9670;&nbsp;</a></span>m_authDelegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_auth_delegate.html">TestAuthDelegate</a>&gt; alexaClientSDK::dcfDelegate::test::DCFDelegateTest::m_authDelegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Auth delegate instance. </p>

</div>
</div>
<a id="a64a2b19a3ad17a65861f366c6c2c8a1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a64a2b19a3ad17a65861f366c6c2c8a1f">&#9670;&nbsp;</a></span>m_configRoot</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">ConfigurationNode</a> alexaClientSDK::dcfDelegate::test::DCFDelegateTest::m_configRoot</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Config instance. </p>

</div>
</div>
<a id="a213b3bffb5960342485c01937504a162"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a213b3bffb5960342485c01937504a162">&#9670;&nbsp;</a></span>m_dcfDelegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1dcf_delegate_1_1_d_c_f_delegate.html">DCFDelegate</a>&gt; alexaClientSDK::dcfDelegate::test::DCFDelegateTest::m_dcfDelegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The DCF delegate instance. </p>

</div>
</div>
<a id="a94fdc13e612b7f4fda4c0cb1dfe3438d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94fdc13e612b7f4fda4c0cb1dfe3438d">&#9670;&nbsp;</a></span>m_deviceInfo</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1_device_info.html">DeviceInfo</a>&gt; alexaClientSDK::dcfDelegate::test::DCFDelegateTest::m_deviceInfo</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Device Info instance. </p>

</div>
</div>
<a id="ab24667f7ac7e477750409f5682bf371d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab24667f7ac7e477750409f5682bf371d">&#9670;&nbsp;</a></span>m_httpPut</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_http_put.html">TestHttpPut</a>&gt; alexaClientSDK::dcfDelegate::test::DCFDelegateTest::m_httpPut</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>HTTP put handler. </p>

</div>
</div>
<a id="a6e5c6fe894dd5a757c173cae95d2e6cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e5c6fe894dd5a757c173cae95d2e6cb">&#9670;&nbsp;</a></span>m_miscStorage</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_misc_storage.html">TestMiscStorage</a>&gt; alexaClientSDK::dcfDelegate::test::DCFDelegateTest::m_miscStorage</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Misc storage instance. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/release/tools/avs-cpp-sdk-tools/cm/output2/autoCM_publicRepo/avs-device-sdk/DCFDelegate/test/<a class="el" href="_d_c_f_delegate_test_8cpp.html">DCFDelegateTest.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.7.0 - Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
